﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace jQuery_Editors.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            ViewBag.Message = "Personal information form example";

            return View();
        }

        [HttpPost]
        public ActionResult Update(DateTime? date, DateTime? date2)
        {
            /* use date and date2 here - e.g. perform additional checks
               and save the input to database, etc. */
            ViewBag.Message = "Entered date: " + date.ToString() + 
                ", and date2: "  + date2.ToString();
            //return to the same view with the new message
            var path = Request.UrlReferrer.AbsolutePath;
            return View(path != "/" ? path.Split('/').Last() : "Index");
        }

        public ActionResult Mvc()
        {
            ViewBag.Message = "Personal information form example using the MVC Helpers to create editors";
            return View();
        }
    }
}
